ProxyAuthK8S
ApiAuth_clusters

Callback from the cluster's OIDC provider

GET
/clusters/{ns}/{cluster}/auth/callback

If the cluster is not found or disabled, return 404.

Path Parameters

ns*string

Namespace containing the cluster.

cluster*string

Cluster name that should exist in the namespace.

Query Parameters

code*string

Authorization code from the OIDC provider.

state*string

State parameter to prevent CSRF.

Header Parameters

x-front-callback*|

If it's from the frontend, this header will be set.

x-kubectl-callback*|

If it's from kubectl plugin, this header will be set.

Response Body

Response from remote cluster.

application/json
  1. response

Model for the callback response after successful authentication with the cluster.

This model contains the access token, refresh token, cluster URL, subject, and ID token returned by the cluster after successful authentication.

access_token*string
cluster_url*string
id_token*string
refresh_token*string
subject*string
Example Request
curl -X GET 'https://example.com/clusters/string/string/auth/callback?code=string&state=string' \  -H 'x-front-callback: string' \  -H 'x-kubectl-callback: string'
Example Response
{  "access_token": "string",  "cluster_url": "string",  "id_token": "string",  "refresh_token": "string",  "subject": "string"}